<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="biologico">
        <h2 class="jh-entity-heading" data-cy="biologicoDetailsHeading">
          <span v-text="$t('gatewayApp.biologicoBiologico.detail.title')">Biologico</span> {{ biologico.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.biologicoBiologico.tipoBiologico')">Tipo Biologico</span>
          </dt>
          <dd>
            <span>{{ biologico.tipoBiologico }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoBiologico.detalleBiologico')">Detalle Biologico</span>
          </dt>
          <dd>
            <span>{{ biologico.detalleBiologico }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="biologico.id"
          :to="{ name: 'BiologicoEdit', params: { biologicoId: biologico.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./biologico-details.component.ts"></script>
